package com.xiang.xservice.application.script.fwd.mapper;

import com.xiang.xservice.application.script.fwd.entity.pojo.FPerformSeatInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author: xiang
 * @Date: 2025-07-25 10:53
 */
@Repository
@Mapper
public interface FwdPerformSeatInfoMapper {
    int batchSave(List<FPerformSeatInfo> fPerformSeatInfos);

    int update(FPerformSeatInfo fPerformSeatInfo);

    List<FPerformSeatInfo> getPerformSeatInfoBySeatIds(@Param("list") List<Long> seatIds);

    FPerformSeatInfo getPerformSeatInfoBySeatIdAndPerformIdAndProjectId(
            @Param("seatId") Long seatId, @Param("performId") Long performId, @Param("projectId") Long projectId);

    List<FPerformSeatInfo> getPerformSeatByProjectId(Long projectId);

    FPerformSeatInfo getBySeatPlanId(@Param("id") Long seatPlanId);
}
